Skip to main content

Update group

PATCH
/groups

Contract

Parameter
Value
Sectiongroups
AuthenticationCookieAuth
Consumesapplication/json
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
requestbodyyesobjectGroup fields to update (must include id; contain the new permission set)
  • {
      "createdAt": "<string>",
      "deletedAt": "<string>",
      "id": 0,
      "issuer": {
        "agreementAccepted": true,
        "createdAt": "<string>",
        "deletedAt": "<string>",
        "email": "<string>",
        "group": {},
        "groupID": 0,
        "id": 0,
        "isActive": true,
        "isRequiredToSetPassword": true,
        "lastLogin": "<string>",
        "notificationsReadAt": "<string>",
        "passwordLength": 0,
        "realName": "<string>",
        "updatedAt": "<string>"
      },
      "issuerID": 0,
      "name": "<string>",
      "permissions": [
        {
          "value": 0
        }
      ],
      "updatedAt": "<string>",
      "users": [
        {
          "agreementAccepted": true,
          "createdAt": "<string>",
          "deletedAt": "<string>",
          "email": "<string>",
          "group": {},
          "groupID": 0,
          "id": 0,
          "isActive": true,
          "isRequiredToSetPassword": true,
          "lastLogin": "<string>",
          "notificationsReadAt": "<string>",
          "passwordLength": 0,
          "realName": "<string>",
          "updatedAt": "<string>"
        }
      ]
    }

Responses

4 responses

Status
Description
Type
200
Group updatedno body
400
Invalid request bodyobject
401
Unauthorizedobject
500
Internal server errorobject
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }